$PackageName = 'lsd';
$ToolsPath   = Split-Path -Parent $MyInvocation.MyCommand.Definition;
$PkgParams   = Get-PackageParameters;

If ($PkgParams.GNU) {
	$PackageArgs = @{
		PackageName    = $PackageName
		FileFullPath   = Get-Item $(Join-Path $ToolsPath 'lsd-v1.1.0-i686-pc-windows-gnu.zip')
		FileFullPath64 = Get-Item $(Join-Path $ToolsPath 'lsd-v1.1.0-x86_64-pc-windows-gnu.zip')
		Destination    = $ToolsPath
	};
} Else {
	$PackageArgs = @{
		PackageName    = $PackageName
		FileFullPath   = Get-Item $(Join-Path $ToolsPath 'lsd-v1.1.0-i686-pc-windows-msvc.zip')
		FileFullPath64 = Get-Item $(Join-Path $ToolsPath 'lsd-v1.1.0-x86_64-pc-windows-msvc.zip')
		Destination    = $ToolsPath
	};
};

# Remove Previous Installations
Get-ChildItem $ToolsPath\* | Where-Object { $_.PSISContainer } | ForEach-Object {
	Remove-Item $_ -Recurse -Force -EA 0 | Out-Null;
};
Get-ChocolateyUnzip @PackageArgs;
Remove-Item ($ToolsPath + '\*.' + 'zip');